# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

Summary:	Xorg input driver for keyboards
Name:		x11-driver-input-keyboard
Version:	1.8.0
Release:	4
Group:		System/X11
License:	MIT
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-keyboard-%{version}.tar.bz2
Patch0:		xf86-input-keyboard-1.6.2-link-against-xi.patch
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
Requires:	x11-server-common %(xserver-sdk-abi-requires xinput)
Requires:	udev

%description
This package provide Xorg input driver for keyboards.  The "keyboard" driver is
the standard OS-provided keyboard interface.  It is is built-in to the core X
server, and multiple instances are not supported. A loadable driver, kbd, is
available, and is planned to replace the keyboard driver in a future release of
the Xorg server.

%files
%{_libdir}/xorg/modules/input/kbd_drv.so
%{_mandir}/man4/kbd.*

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-input-keyboard-%{version}
%apply_patches

%build
autoreconf -fiv
%configure2_5x
%make

%install
%makeinstall_std


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.8.0-4
+ Revision: 55da2fb
- MassBuild#440: Increase release tag


